org.eclnt.util.chart

## Class ChartLine

- java.lang.Object
- - org.eclnt.util.chart.ChartLine

- Direct Known Subclasses:
    CategoryChartLine, PieChartLine, TimeBasedChartLine, XYChartLine

      public class ChartLine
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SHAPETYPE_CIRCLE1`
    `static int` | `SHAPETYPE_CIRCLE2`
    `static int` | `SHAPETYPE_CIRCLE3`
    `static int` | `SHAPETYPE_RECT1`
    `static int` | `SHAPETYPE_RECT2`
    `static int` | `SHAPETYPE_RECT3`
    `static int` | `SHAPETYPE_TRIANGLE1`
    `static int` | `SHAPETYPE_TRIANGLE2`
    `static int` | `SHAPETYPE_TRIANGLE3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartLine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColor()`
    `java.util.List<java.lang.String>` | `getExtLegendTexts()`
    `java.lang.String` | `getLineCategory()`
    `java.lang.String` | `getName()`
    `int` | `getShapeType()`
    `int` | `getStroke()`
    `boolean` | `getWithLines()`
    `boolean` | `getWithShapes()`
    `void` | `setColor(java.lang.String color)` Color of the line, format "#RRGGBB".
    `void` | `setExtLegendTexts(java.util.List<java.lang.String> extLegendTexts)` If set to true then an extended legend is drawn at the left and right side of the chart.
    `void` | `setLineCategory(java.lang.String lineCategory)` Each line represents a certain category - i.e. the logical id that is represented by the line.
    `void` | `setName(java.lang.String name)` The name of the line.
    `void` | `setShapeType(int shapeType)` Sets the shape type that is used for indicating points witihn line charts.
    `void` | `setStroke(int stroke)` Sets the size of the line for line charts.
    `void` | `setWithLines(boolean withLines)` In case of line charts: this flage defines if lines are drawn between the point ot not.
    `void` | `setWithShapes(boolean withShapes)` In case of line charts: defines, if shapes are rendered around each point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHAPETYPE_RECT1

          public static final int SHAPETYPE_RECT1

      See Also:
        Constant Field Values

    - #### SHAPETYPE_RECT2

          public static final int SHAPETYPE_RECT2

      See Also:
        Constant Field Values

    - #### SHAPETYPE_RECT3

          public static final int SHAPETYPE_RECT3

      See Also:
        Constant Field Values

    - #### SHAPETYPE_CIRCLE1

          public static final int SHAPETYPE_CIRCLE1

      See Also:
        Constant Field Values

    - #### SHAPETYPE_CIRCLE2

          public static final int SHAPETYPE_CIRCLE2

      See Also:
        Constant Field Values

    - #### SHAPETYPE_CIRCLE3

          public static final int SHAPETYPE_CIRCLE3

      See Also:
        Constant Field Values

    - #### SHAPETYPE_TRIANGLE1

          public static final int SHAPETYPE_TRIANGLE1

      See Also:
        Constant Field Values

    - #### SHAPETYPE_TRIANGLE2

          public static final int SHAPETYPE_TRIANGLE2

      See Also:
        Constant Field Values

    - #### SHAPETYPE_TRIANGLE3

          public static final int SHAPETYPE_TRIANGLE3

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChartLine

          public ChartLine()

  - ### Method Detail

    - #### setExtLegendTexts

          public void setExtLegendTexts(java.util.List<java.lang.String> extLegendTexts)

      If set to true then an extended legend is drawn at the left and right side of the chart. The extended legend is built out of the text that is passed via `setExtLegendTexts(List)`.

    - #### getExtLegendTexts

          public java.util.List<java.lang.String> getExtLegendTexts()

    - #### setShapeType

          public void setShapeType(int shapeType)

      Sets the shape type that is used for indicating points witihn line charts. Use on of the constants SHAPETYPE*.

    - #### getShapeType

          public int getShapeType()

    - #### setStroke

          public void setStroke(int stroke)

      Sets the size of the line for line charts.

    - #### getStroke

          public int getStroke()

    - #### setName

          public void setName(java.lang.String name)

      The name of the line.

    - #### getName

          public java.lang.String getName()

    - #### setColor

          public void setColor(java.lang.String color)

      Color of the line, format "#RRGGBB".

    - #### getColor

          public java.lang.String getColor()

    - #### setWithShapes

          public void setWithShapes(boolean withShapes)

      In case of line charts: defines, if shapes are rendered around each point.

    - #### getWithShapes

          public boolean getWithShapes()

    - #### setLineCategory

          public void setLineCategory(java.lang.String lineCategory)

      Each line represents a certain category - i.e. the logical id that is represented by the line.

    - #### getLineCategory

          public java.lang.String getLineCategory()

    - #### setWithLines

          public void setWithLines(boolean withLines)

      In case of line charts: this flage defines if lines are drawn between the point ot not.

    - #### getWithLines

          public boolean getWithLines()

Copyright © CaptainCasa Gmbh. All Rights Reserved.